Subject: Re: bug#48659: Escapes are deleted after executing "dired-toggle-read-only" in *Find* buffer

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 May 2021 15:14:57 +0300

> From: Rodrigo Morales <[email-masked]>
> Date: Tue, 25 May 2021 15:40:21 -0500
> 
> Now, let's toggle a =dired-toggle-read-only= and edit any name (I
> appended =test= after the =a/barbar.txt= file).
> 
> Now, see what =tree= reports.
> 
> #+begin_src bash
> tree -a --noreport
> #+end_src
> 
> #+RESULTS:
> #+begin_example
> .
> ├── a
> │   ├── barbar.txt-test
> │   └── foofoo.txt
> └── b
>     ├── barbar.txt
>     └── foofoo.txt
> #+end_example
> 
> As you could see, spaces were removed from filenames and I think that
> this happens because =find-file= show spaces as escaped characters.

I cannot reproduce this.  Which version of Emacs is this, and on what
platform/OS?  Also, does the problem happen for you in "emacs -Q"?